> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# updateConversation

> Update a [Conversation](#schema_conversation) object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.



## OpenAPI

````yaml runtime-openapi.json put /v1/chat/conversations/{id}
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.52.1
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
paths:
  /v1/chat/conversations/{id}:
    put:
      tags:
        - Endpoints
      description: >-
        Update a [Conversation](#schema_conversation) object by setting the
        values of the parameters passed. Any parameters not provided will be
        left unchanged.
      operationId: updateConversation
      parameters:
        - name: id
          in: path
          description: Conversation id
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/updateConversationBody'
      responses:
        '200':
          $ref: '#/components/responses/updateConversationResponse'
        default:
          $ref: '#/components/responses/updateConversationResponse'
components:
  requestBodies:
    updateConversationBody:
      description: Conversation data
      content:
        application/json:
          schema:
            type: object
            properties:
              currentTaskId:
                type: string
              tags:
                type: object
                additionalProperties:
                  type: string
                description: Tags for the [Conversation](#schema_conversation)
            title: updateConversationBody
            additionalProperties: false
  responses:
    updateConversationResponse:
      description: >-
        Returns an updated [Conversation](#schema_conversation) object if a
        valid identifier was provided. Returns [an error](#errors) otherwise
      content:
        application/json:
          schema:
            type: object
            properties:
              conversation:
                $ref: '#/components/schemas/Conversation'
            required:
              - conversation
            title: updateConversationResponse
            additionalProperties: false
  schemas:
    Conversation:
      type: object
      properties:
        id:
          type: string
          minLength: 28
          maxLength: 36
          description: Id of the [Conversation](#schema_conversation)
        currentTaskId:
          type: string
          minLength: 28
          maxLength: 36
          description: Id of the current [Task](#schema_task)
        currentWorkflowId:
          type: string
          minLength: 28
          maxLength: 36
          description: Id of the current [Workflow](#schema_workflow)
        createdAt:
          type: string
          format: date-time
          description: >-
            Creation date of the [Conversation](#schema_conversation) in ISO
            8601 format
        updatedAt:
          type: string
          format: date-time
          description: >-
            Updating date of the [Conversation](#schema_conversation) in ISO
            8601 format
        channel:
          type: string
          description: >-
            Name of the channel where the [Conversation](#schema_conversation)
            is happening
        integration:
          type: string
          description: >-
            Name of the integration that created the
            [Conversation](#schema_conversation)
        tags:
          type: object
          additionalProperties:
            type: string
          description: >-
            Set of [Tags](/docs/developers/concepts/tags) that you can attach to
            a [Conversation](#schema_conversation). The set of
            [Tags](/docs/developers/concepts/tags) available on a
            [Conversation](#schema_conversation) is restricted by the list of
            [Tags](/docs/developers/concepts/tags) defined previously by the
            [Bot](#schema_bot). Individual keys can be unset by posting an empty
            value to them.
      required:
        - id
        - createdAt
        - updatedAt
        - channel
        - integration
        - tags
      description: >-
        The [Conversation](#schema_conversation) object represents an exchange
        of messages between one or more users. A
        [Conversation](#schema_conversation) is always linked to an
        integration's channels. For example, a Slack channel represents a
        conversation.
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````